Bug 28202 - installer fails when attempting update installation
installer fails when attempting update installation
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-17 22:43 EST by Frederick Bartlett
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 11:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frederick Bartlett 2001-02-17 22:43:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win98; U)


Having 7.0 already on my system, I tried to update to 7.1 beta. This failed with an error popup.

Reproducible: Didn't try
Steps to Reproduce:
1. Boot from fisher i386 disk 1
2. choose "Update" (in graphical interface)
3. click "Next"
	

Actual Results:  system halted

Expected Results:  My system should have been updated.

Contents of ANACDUMP.TXT:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 503, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 372, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 851, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/gui.py", line 462, in nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/examine_gui.py", line 19, in getNext
    self.todo.upgradeFindPackages (self.root)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1080, in upgradeFindPackages
    allowDirty = 0)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/upgrade.py", line 100, in mountRootPartition
    intf.messageWindow(("Dirty Filesystems"),
NameError: intf

Local variables in innermost frame:
rootFs: ext2
rootInfo: ('hda7', 'ext2')
root: hda7
allowDirty: 0
instPath: /mnt/sysimage
theFstab: <fstab.GuiFstab instance at 85d3f50>
mdList: []

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
NsS'setupFilesystems'
p5
I1
sS'monitorVsync'
p6
S''
sS'videoCardStateNode'
p7
S''
sS'ddruidReadOnly'
p8
I0
sS'bootdisk'
p9
I0
sS'videoRamState'
p10
S''
sS'monitorOriginalName'
p11
S''
sS'language'
p12
(itodo
Language
(dp13
S'langInfoByName'
p14
(dp15
S'Arabic (Yemen)'
p16
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p17
(S'es_AR'
S'iso01'
S'default8x16'
tsS'Spanish'
p18
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p19
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p20
(S'es_GT'
S'iso01'
S'default8x16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p21
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p22
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p23
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Chile)'
p24
(S'es_CL'
S'iso01'
S'default8x16'
tsS'English (South Africa)'
p25
(S'en_ZA'
S'iso01'
S'default8x16'
tsS'French (Switzerland)'
p26
(S'fr_CH'
S'iso01'
S'default8x16'
tsS'Arabic (Bahrein)'
p27
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Portuguese'
p28
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish'
p29
(S'sv_SE'
S'iso01'
S'default8x16'
tsS'Croatian'
p30
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'Greenlandic (Greenland)'
p31
(S'kl_GL'
S'iso01'
S'default8x16'
tsS'Spanish (Mexico)'
p32
(S'es_MX'
S'iso01'
S'default8x16'
tsS'Greek'
p33
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p34
(S'es_SV'
S'iso01'
S'default8x16'
tsS'Spanish (Honduras)'
p35
(S'es_HN'
S'iso01'
S'default8x16'
tsS'Spanish (Costa Rica)'
p36
(S'es_CR'
S'iso01'
S'default8x16'
tsS'Dutch (Netherlands)'
p37
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p38
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p39
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Afrikaans (South Africa)'
p40
(S'af_ZA'
S'iso01'
S'default8x16'
tsS'Norwegian'
p41
(S'no_NO'
S'iso01'
S'default8x16'
tsS'Arabic (Morocco)'
p42
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Ukrainian'
p43
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Arabic (Algeria)'
p44
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p45
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Indonesian'
p46
(S'id_ID'
S'iso01'
S'default8x16'
tsS'Danish'
p47
(S'da_DK'
S'iso01'
S'default8x16'
tsS'English (Denmark)'
p48
(S'en_DK'
S'iso01'
S'default8x16'
tsS'Faroese (Faroe Islands)'
p49
(S'fo_FO'
S'iso01'
S'default8x16'
tsS'Galician (Spain)'
p50
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p51
(S'en_NZ'
S'iso01'
S'default8x16'
tsS'Spanish (Bolivia)'
p52
(S'es_BO'
S'iso01'
S'default8x16'
tsS'Cornish (Britain)'
p53
(S'kw_GB'
S'iso01'
S'default8x16'
tsS'Arabic (United Arab Emirates)'
p54
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p55
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p56
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p57
(S'es_PY'
S'iso01'
S'default8x16'
tsS'Hebrew (Israel)'
p58
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'German (Luxemburg)'
p59
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (USA)'
p60
(S'es_US'
S'iso01'
S'default8x16'
tsS'Portuguese (Brasil)'
p61
(S'pt_BR'
S'iso01'
S'default8x16'
tsS'Spanish (Equador)'
p62
(S'es_EC'
S'iso01'
S'default8x16'
tsS'English (Ireland)'
p63
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Polish'
p64
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p65
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p66
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Arabic (Syrian Arab Republic)'
p67
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p68
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p69
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Italian'
p70
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p71
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p72
(S'it_CH'
S'iso01'
S'default8x16'
tsS'German (Belgium)'
p73
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p74
(S'sq_AL'
S'iso01'
S'default8x16'
tsS'Finnish'
p75
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Peru)'
p76
(S'es_PE'
S'iso01'
S'default8x16'
tsS'Dutch (Belgium)'
p77
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p78
(S'es_PA'
S'iso01'
S'default8x16'
tsS'Spanish (Venezuela)'
p79
(S'es_VE'
S'iso01'
S'default8x16'
tsS'English (Great Britain)'
p80
(S'en_GB'
S'iso01'
S'default8x16'
tsS'Russian'
p81
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p82
(S'nn_NO'
S'iso01'
S'default8x16'
tsS'English (Zimbabwe)'
p83
(S'en_ZW'
S'iso01'
S'default8x16'
tsS'English (USA)'
p84
(S'en_US'
S'iso01'
S'default8x16'
tsS'French'
p85
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p86
(S'es_NI'
S'iso01'
S'default8x16'
tsS'Arabic (Kuwait)'
p87
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Colombia)'
p88
(S'es_CO'
S'iso01'
S'default8x16'
tsS'Basque (Spain)'
p89
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p90
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p91
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'German'
p92
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p93
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p94
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p95
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p96
(S'ja_JP.eucjp'
S'iso01'
S'default8x16'
tsS'Swedish (Finland)'
p97
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p98
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p99
(S'es_DO'
S'iso01'
S'default8x16'
tsS'French (Canada)'
p100
(S'fr_CA'
S'iso01'
S'default8x16'
tsS'English (Canada)'
p101
(S'en_CA'
S'iso01'
S'default8x16'
tsS'Slovenian (Slovenia)'
p102
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p103
(S'es_UY'
S'iso01'
S'default8x16'
tsS'German (Switzerland)'
p104
(S'de_CH'
S'iso01'
S'default8x16'
tsS'English (Australia)'
p105
(S'en_AU'
S'iso01'
S'default8x16'
tsS'Catalan (Spain)'
p106
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p107
(S'es_PR'
S'iso01'
S'default8x16'
tsS'Turkish'
p108
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p109
(S'et_EE'
S'iso01'
S'default8x16'
tsS'Arabic (Sudan)'
p110
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p111
(S'is_IS'
S'iso01'
S'default8x16'
tsS'English (Botswana)'
p112
(S'en_BW'
S'iso01'
S'default8x16'
tsS'Manx Gaelic (Britain)'
p113
(S'gv_GB'
S'iso01'
S'default8x16'
tssS'allSupportedLangs'
p114
(lp115
g40
ag74
ag44
ag27
ag91
ag23
ag71
ag87
ag19
ag21
ag42
ag22
ag90
ag98
ag110
ag67
ag94
ag54
ag16
ag89
ag106
ag53
ag30
ag68
ag47
ag77
ag37
ag105
ag112
ag101
ag48
ag80
ag63
ag51
ag25
ag84
ag83
ag109
ag49
ag75
ag85
ag45
ag100
ag95
ag26
ag50
ag92
ag55
ag73
ag59
ag104
ag33
ag31
ag58
ag93
ag111
ag46
ag69
ag70
ag72
ag96
ag66
ag113
ag41
ag82
ag64
ag28
ag61
ag56
ag81
ag39
ag38
ag65
ag102
ag18
ag17
ag52
ag24
ag88
ag36
ag99
ag34
ag62
ag20
ag35
ag32
ag86
ag78
ag57
ag76
ag107
ag60
ag103
ag79
ag29
ag97
ag108
ag43
asS'info'
p116
(dp117
S'SUPPORTED'
p118
NssS'supported'
p119
(lsS'default'
p120
NsbsS'instClass'
p121
(iinstallclass
DefaultInstall
p122
(dp123
S'rootPasswordCrypted'
p124
I0
sS'nameserver'
p125
S''
sS'x'
NsS'rootPassword'
p126
NsS'makeBootdisk'
p127
I0
sS'installType'
p128
NsS'postScript'
p129
NsS'earlySwapOn'
p130
I0
sS'networkDevice'
p131
NsS'clearText'
p132
NsS'lilo'
p133
(S'mbr'
p134
I1
S''
tsg12
NsS'name'
p135
S''
sS'postInChroot'
p136
I0
sS'pixmap'
p137
S''
sS'partitions'
p138
(lsS'clearType'
p139
NsS'gateway'
p140
S''
sS'mouse'
p141
NsS'packages'
p142
NsS'timezone'
p143
NsS'zeroMbr'
p144
I0
sS'keyboard'
p145
NsS'groups'
p146
NsS'bootProto'
p147
NsS'netmask'
p148
S''
sS'raidList'
p149
(lsS'skipSteps'
p150
(dsS'auth'
p151
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p152
NsS'fstab'
p153
(lsS'showgroups'
p154
NsS'ip'
p155
S''
sS'firewall'
p156
(I-1
I0
(lp157
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p158
NsS'desktop'
p159
S''
sS'clearPartText'
p160
NsS'clearParts'
p161
I0
sbsS'bdstate'
p162
S''
sS'extraModules'
p163
(lp164
sS'rootpassword'
p165
NsS'fdDevice'
p166
S'fd0'
p167
sS'installSystem'
p168
I1
sS'comps'
p169
Nsg151
(itodo
Authentication
(dp170
S'useNIS'
p171
I0
sS'nisServer'
p172
S''
sS'useLdap'
p173
I0
sS'krb5Kdc'
p174
S''
sS'ldapTLS'
p175
S''
sS'useHesiod'
p176
I0
sS'ldapServer'
p177
S''
sS'nisDomain'
p178
S''
sS'krb5Realm'
p179
S''
sS'useLdapauth'
p180
I0
sS'hesiodRhs'
p181
S''
sS'useShadow'
p182
I1
sS'nisuseBroadcast'
p183
I0
sS'useKrb5'
p184
I0
sS'useMD5'
p185
Comment 1 Glen Foster 2001-02-21 10:06:58 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Michael Fulbright 2001-02-21 11:27:29 EST
Fixed - it is trying to tell you that you were trying to upgrade a system with
dirty filesystems. You need to boot the installed linux system and let it clean
the filesystems.

Note You need to log in before you can comment on or make changes to this bug.